<?php
/*------------------------------------------------------------------------
 # Yt Virtuemart Slideshow II  - Version 1.2
 # Copyright (C) 2010-2011 The YouTech Company. All Rights Reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Author: The YouTech Company
 # Websites: http://www.ytcvn.com
 -------------------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Category element
class JElementVmProducts extends JElement {

	var	$_name = 'vmproduct';
	
	function fetchElement($name, $value, &$node, $control_name){
		$db = &JFactory::getDBO();
        $query = 'SELECT c.category_id as id, c.category_name as name , c.*, cx.category_parent_id  as parent FROM #__vm_category c INNER JOIN #__vm_category_xref cx ON cx.category_child_id = c.category_id WHERE category_publish="Y" AND vendor_id = 1';
		//$query = 'SELECT * FROM #__vm_categories WHERE published=1 AND trash=0';
		$db->setQuery( $query );
		$categories = $db->loadObjectList();
		
		if(count($categories) == 0)
		{
			return JTEXT::_('VMNOPRODUCTS');
		 
	    }

		$products=array();
		
		// set up first element of the array as all articles
		$products[0]->product_id = '';
		$products[0]->product_name = JText::_("ALLPRODUCTS");
		
		//loop through categories 
		foreach ($categories as $category) {
			$optgroup = JHTML::_('select.optgroup',$category->product_name,'product_id','product_name');
			$query = 'SELECT product_id,product_name FROM #__vm_product WHERE product_id='.$category->product_id .' AND category_publish="Y" AND vendor_id=1';
			$db->setQuery( $query );
			$results = $db->loadObjectList();
            var_dump($results);die;
			array_push($products,$optgroup);
			foreach ($results as $result) {
				array_push($products,$result);
			}
		}
		
		$output = '';
		if(count($articles) == 0)
		{
			$output = JTEXT::_('VMNOPRODUCTS');
		 
	    }
        else
		{
		// Output
		   $output = JHTML::_('select.genericlist',  $products, ''.$control_name.'['.$name.'][]', 'class="inputbox" multiple="multiple" size="6"', 'product_id', 'product_name', $value );
		}
		return $output;
	}
	
} 

?>