<?php
/**
 * @package Sj Vm Slideshow II
 * @version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

//$options	= $ytslideshowii->getOption();
$options	= $params->toObject();
$instance	= rand().time();
$uniqueid = 'yt_slideshowii_module_'.rand().time();
$uniqueidii = 'li_height_item_'.rand().time();//var_dump($uniqueidii); die("abc");

$count_items = count($items);
$heightItem = floor($options->item_thumbnail_height/$options->num_item_per_page);
$normalHeight = $heightItem - 20;
if($count_items<$options->num_item_per_page){
    $count_items = $options->num_item_per_page;
}
elseif($count_items>=$options->num_item_per_page){
    $count_items = $count_items;
    $options->num_item_per_page = $options->num_item_per_page;
}
if($options->show_image==0 && $options->show_desc==0){
    if($theme=='theme5'){
        $options->item_thumbnail_height = $options->sub_thumbnail_height + 10;
    }else{
        $options->width_module = $options->width_module - $options->item_thumbnail_width;
        $options->item_thumbnail_width = 0;
    }
}

$button_theme = "buttons-".$options->themes;

?>
<?php 
	ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = ob_get_contents();
	ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );
?>
<script type="text/javascript">
$jsmart(document).ready(function($) {
        <?php if($options->show_buttons == 2):?>
        $("#yt_slideshowii_module_<?php echo $module->id;?>").hover(
        	function(){$('.buttons-theme-hover_<?php echo $module->id;?>').addClass('<?php echo $button_theme;?>')},
       		function(){$('.buttons-theme-hover_<?php echo $module->id;?>').removeClass('<?php echo $button_theme;?>')}
        );
        <?php endif;?> 
       <?php if(($options->themes == 'theme1') || ($options->themes == 'theme2')){?>
       var arrContent = $('.caption_content_<?php echo $module->id?>');
       var arrHMC = {};
       
       $.each(arrContent,function(key,val){
            arrHMC[key] = $(val).height();
       
            if(key == arrContent.length-1) 
            {
                $('#featured<?php echo $module->id;?>').jslideshowii({
        		fx:     '<?php echo $options->effect;?>',
        		timeout: <?php echo $options->timer_speed;?>,
        		speed:  <?php echo $options->slideshow_speed;?>, 
        		next:   '#next<?php echo $module->id;?>', 
        		prev:   '#prev<?php echo $module->id;?>',
        		pause: <?php echo ($options->play)?1:0;?>,
        		divId: <?php echo $module->id;?>,
        		readmoreImg:'<?php echo $options->read_more_text;?>',
        		theme:'<?php echo $options->themes;?>',
        		linktarget:'<?php echo $options->target;?>',
        		linkcaption:<?php echo $options->link_title;?>,
        		autoPlay:<?php echo $options->auto_play;?>,
        		startingSlide: 0,
                totalItemScroll: <?php echo $count_items;?>,
                startNormalScroll: 0,
                endNormalScroll: <?php echo $options->num_item_per_page - 1;?>,
                num_item_per_page:<?php echo $options->num_item_per_page;?>,
                arrHMC:arrHMC
    	   });
                
            }
       })
       <?php }else{?>
       
       $('#featured<?php echo $module->id;?>').jslideshowii({
                fx:     '<?php echo $options->effect;?>',
                timeout: <?php echo $options->timer_speed;?>,
                speed:  <?php echo $options->slideshow_speed;?>, 
                next:   '#next<?php echo $module->id;?>', 
                prev:   '#prev<?php echo $module->id;?>',
                pause: <?php echo ($options->play)?1:0;?>,
                divId: <?php echo $module->id;?>,
                readmoreImg:'<?php echo $options->read_more_text;?>',
                theme:'<?php echo $options->themes;?>',
                linktarget:'<?php echo $options->target;?>',
                linkcaption:<?php echo $options->link_title;?>,
                autoPlay:<?php echo $options->auto_play;?>,
                startingSlide: 0,
                totalItemScroll: <?php echo $count_items;?>,
                startNormalScroll: 0,
                endNormalScroll: <?php echo $options->num_item_per_page - 1;?>,
                <?php if($options->themes == 'theme5'){?>   
                totalArt: <?php echo $options->source_limit;?>,
                leftScroll:<?php echo ($options->sub_thumbnail_width + 10);?>,
                <?php }?>
                num_item_per_page:<?php echo $options->num_item_per_page;?>
       })
       <?php }?>
	   //$.each(arrHMC, function(key, val){ alert(val)})
       

    });
</script>

<?php if (!empty($items)): ?>
<div id="yt-vm-slideshowii-<?php echo $module->id; ?>">
         <div class="yt_vm_introtext"><?php echo $options->pretext; ?></div>
    <div class="yt_vm_slideshowii <?php echo 'mod_'. $options->themes;?>">	
	      <?php require JModuleHelper::getLayoutPath($module->module, $options->themes); ?>		
    </div>
        <div class="yt_vm_footertext"><?php echo $options->posttext; ?></div>
</div>
<?php else: ?>
<p>Have no items! Please recheck module config!</p>
<?php endif; ?>