<?php
/*------------------------------------------------------------------------
 # Yt Virtuemart Slideshow II  - Version 1.2
 # Copyright (C) 2010-2011 The YouTech Company. All Rights Reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Author: The YouTech Company
 # Websites: http://www.ytcvn.com
 -------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die( 'Restricted access' );
$theme = $params->get('theme',"default");
require_once (dirname(__FILE__).DS.'helper.php');
require_once (dirname(__FILE__).DS.'libs'.DS.'yt_vm_slideshowii.php');

jimport("joomla.filter.filterinput");
$resizeImage = $params->get("resizeimage","1");
if($resizeImage==1){
    jimport("joomla.filesystem.folder");
    jimport("joomla.filesystem.file");
}
if(!$poswidth = strpos($params->get('thumb_width',"120px"),"px")){
    $poswidth = $params->get('thumb_width',"120px")."px";
}
if(!$posheight = strpos($params->get('thumb_height',"150px"),"px")){
    $posheight = $params->get('thumb_height',"150px")."px";
}

/*-- Process---*/
$intro 							= $params->get("intro", 0);
$note 							= $params->get("note", 0);
$start							= $params->get("start", 1);
$target 						= $params->get("target", '');
$jquery 						= $params->get("jquery", 0);
$total                          = $params->get("total",1);
$play 							= $params->get("play", 'true');
$theme 							= $params->get("theme", 'default');
$effect 						= $params->get("effect", 'fade');
$slideshow_speed 				= $params->get("slideshow_speed", 800);
$timer_speed 					= $params->get("timer_speed", 4000);
$opacity_main                   = $params->get("opacity_main", 0.7);
$start_clock_on_mouseOut 		= $params->get("start_clock_on_mouseOut", 'true');
$start_clock_on_mouseOutAfter 	= $params->get("start_clock_on_mouseOutAfter", 3000);
$caption_animation_speed 		= $params->get("caption_animation_speed", 800);
$main_background 				= $params->get("main_background", '#000000');
$main_color 				    = $params->get("main_color", '#FFFFFF');
$title_color 					= $params->get("title_color", '#FFFFFF');
$title_active_color 			= $params->get("title_active_color", '#FFFFFF');
$normal_description_color       = $params->get("normal_description_color", '#FFFFFF');
$normal_desc_active_color       = $params->get("normal_description_active_color", '#FFFFFF');
$normal_background              = $params->get("normal_background", '#2c0da0');
$normal_active_background       = $params->get("normal_active_background", '#2c0da0');
$prenext_show 					= $params->get("prenext_show", 1);
$caption_show 					= $params->get("caption_show", 'true');
$thumb_height 					= $params->get('thumb_height', "940");
$thumb_width 					= $params->get('thumb_width', "450");
$small_thumb_height 			= $params->get('small_thumb_height', "75");
$small_thumb_width 				= $params->get('small_thumb_width', "55");		
$show_readmore 					= $params->get('show_readmore', "0");
$show_description 				= $params->get('show_description', "0");
$description_color 				= $params->get('description_color', "#FFFFFF");
$color_price                    = $params->get('color_price', "#AA0000");
$link_caption					= $params->get('link_caption', 1);
$link_image						= $params->get('link_image', 1);
$auto_play						= $params->get('auto_play', 1);
$show_img_on_right				= $params->get('show_img_on_right',1);
$button_theme					= $params->get('button_theme','number');
$desc_box_width					= $params->get('desc_box_width','440');
$width_module_slide_ii          = $params->get('width_module_slide_ii','880');
$num_item_per_page              = $params->get('num_item_per_page','4');
$show_readmore_slideii          = $params->get('show_readmore_slideii','1');
$readmore_sliderii              = $params->get('readmore_sliderii');
$show_buttons_slideii           = $params->get('show_buttons_slideii','1');
$show_title_slideshowii         = $params->get('show_title_slideshowii','1');
$show_normal_image              = $params->get('show_normal_image','1');
$show_caption_slide             = $params->get('show_caption_slide','1');
$show_normal_description        = $params->get('show_normal_description','1');
$show_main_image                = $params->get('show_main_image','1');
   
$start--;
$readmore_img = '<div class="readmore_button"><p>'.JText::_('read more ').'</p></div>';

$center = round($thumb_height/2);
$bottom = 220;
$widthIe = 0;
if($center>$bottom)
	$botoom = $center; 

$browser = new Browser();
if($browser->Name=='msie' && floor($browser->Version)==6){$widthIe = 3;}
if (!defined ('VM_SLIDE_SHOW_II')) {
	define ('VM_SLIDE_SHOW_II', 1);
	
	if (!defined ('YTCJQUERY')){
		define('YTCJQUERY', 1);
		JHTML::script('ytc.jquery-1.5.min.js', JURI::base() . '/modules/'.$module->module.'/assets/js/');				
	}  
	JHTML::script('script.slideshowii.all.js',JURI::base() . '/modules/'.$module->module.'/assets/js/');
	
	/* Add css*/	
	$browser = new Browser();
	
	if($browser->Name=='msie' && floor($browser->Version)==6)
	{
		JHTML::stylesheet('ie6.css', JURI::base() . '/modules/'.$module->module.'/assets/');		
	}
	else if($browser->Name=='msie' && floor($browser->Version)==7)	
	{
		JHTML::stylesheet('style.css', JURI::base() . '/modules/'.$module->module.'/assets/');
		//JHTML::stylesheet('ie7.css', JURI::base() . '/modules/'.$module->module.'/assets/');
	}
	else
	{
		JHTML::stylesheet('style.css', JURI::base() . '/modules/'.$module->module.'/assets/');	
	}	
	/* add JS files*/
  
  
    		
}

$GLOBALS["module"] = $module;

$so_slider = new YtVmSlideShowII();

$so_slider->id = $module->id;

$so_slider->enable = 1;

$so_slider->web_url = JURI::base();

$so_slider->thumb_height 		= $posheight?$posheight:$params->get('thumb_height',"150px");

$so_slider->thumb_width 		= $poswidth?$poswidth:$params->get('thumb_width',"120px");

$so_slider->small_thumb_height 		= $params->get('small_thumb_height',"80px");

$so_slider->small_thumb_width 		= $params->get('small_thumb_width',"82px");

$so_slider->cropresizeimage		= $params->get('cropresizeimage', 0);

$so_slider->max_description		= $params->get('limitdescription',200);

$so_slider->max_normal_description		= $params->get('limit_normal_description',200);

$so_slider->category_ids		= $params->get('vmcategory','');

$so_slider->theme		= $params->get('theme','default');

$so_slider->max_title			= $params->get('limittitle',25);

$so_slider->resize_folder 		= JPATH_CACHE.DS.$module->module.DS."images";

$so_slider->url_to_resize 		= $so_slider->web_url . "cache/".$module->module."/images/";

$so_slider->url_to_module 		= $so_slider->web_url . "modules/".$module->module."/libs/";

//echo $so_slider->customUrl;die;
$display = modYtVmSlideShowIIHelper::getInstance($params,$total);

$so_slider->items = $display;

$so_slider->process();

$items = $so_slider->items;
require( JPATH_BASE .DS.'modules'.DS.'mod_yt_vm_slideshowii'.DS.'assets'.DS.'style-multi.php' );


$count_items = count($items);
$heightItem = ($thumb_height/$num_item_per_page);
$normalHeight = $heightItem - 20;
if($count_items<$num_item_per_page){
    $count_items = $num_item_per_page;
}
elseif($count_items>=$num_item_per_page){
    $count_items = $count_items;
    $num_item_per_page = $num_item_per_page;
}
if($show_main_image==0 && $show_caption_slide==0){
    if($theme=='theme5'){
        $width_module_slide_ii = $width_module_slide_ii;
        $thumb_width = $thumb_width;
        $thumb_height = $small_thumb_height+10;
    }else{
        $width_module_slide_ii = $width_module_slide_ii-$thumb_width;
        $thumb_width=0;
    }
}
$path = JModuleHelper::getLayoutPath( 'mod_yt_vm_slideshowii', $theme );

if (file_exists($path)) {

	require($path);

}

?>