<?php
/*------------------------------------------------------------------------
 # Yt Vm Slideshow II- Version 1.0
 # Copyright (C) 2011 YouTech Company. All Rights Reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Author: YouTech Company
 # Websites: http://www.smartaddons.com/
 -------------------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$options	= $ytslideshowii->getOption();
$instance	= rand().time();


$count_items = count($items);
$heightItem = floor($options->thumb_height/$options->num_item_per_page);
$normalHeight = $heightItem - 20;
if($count_items<$options->num_item_per_page){
    $count_items = $options->num_item_per_page;
}
elseif($count_items>=$options->num_item_per_page){
    $count_items = $count_items;
    $options->num_item_per_page = $options->num_item_per_page;
}
if($options->show_image==0 && $options->show_desc==0){
    if($theme=='theme5'){
        $options->thumb_height = $options->small_thumb_height + 10;
    }else{
        $options->width_module = $options->width_module - $options->thumb_width;
        $options->thumb_width = 0;
    }
}

$button_theme = "buttons-".$options->theme;

?>


<style type="text/css">
    .caption_opacity_theme3_<?php echo $module->id?>{
        bottom:<?php echo $options->thumb_height?>px;
    }
    .button_img_<?php echo $module->id?>{
        background: <?php echo $options->normal_background?>;      
    }
    .button_img_<?php echo $module->id?> .yt_item_title a{
        color:<?php echo $options->title_color;?>;
    }
    .button_img_<?php echo $module->id?> .yt_post_item .item_price{
        color: <?php echo $options->price_color?>; 
    }
    .button_img_<?php echo $module->id?> .yt_post_item .yt_item_desc{
       
        color: <?php echo $options->normal_desc_color?>;
    }
    
    .button_img_selected_<?php echo $module->id?>{
        z-index:2000;
        background: <?php echo $options->normal_active_background?>;
        
    }
    .button_img_selected_<?php echo $module->id?> .yt_post_item .yt_item_desc{
       
        color: <?php echo $options->normal_desc_active_color?>;
    }
    
    .button_img_selected_<?php echo $module->id?> .yt_post_item .item_price{
        color:<?php echo $options->active_price_color;?>;       
    }
    
        
    .button_img_selected_<?php echo $module->id?> .yt_post_item .yt_item_title a{
        color:<?php echo $options->title_active_color;?>;
      
    }
    div.caption_content_<?php echo $module->id?>{
        opacity:<?php echo $options->opacity_main?>;
        /* For IE 5-7 */
        filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=70);
        /* For IE 8 */
        -MS-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
    }
    .button_img_theme5_<?php echo $module->id?>{
        color:<?php echo $options->normal_desc_color?>;
        opacity: 0.5;
        /* For IE 5-7 */
        filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=70);
        /* For IE 8 */
        -MS-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
    }
    .button_img_selected_theme5_<?php echo $module->id?>{
        color: <?php echo $options->normal_desc_active_color?>;
        opacity: 1;
    }
    .button_img_selected_theme5_<?php echo $module->id?> .yt_post_item .yt_item_title a{
        color:<?php echo $options->title_active_color;?>;
    }
    div.yt_post_item div.yt_item_title a {
        color:<?php echo $options->title_color;?>;
    }

    div.yt_item_content div.yt_post_item {
        background: white;
        
    }
#yt-vm-slideshowii-<?php echo $module->id; ?> {
    width: <?php echo $options->width_module;?>px; 
    
}
#yt-vm-slideshowii-<?php echo $module->id; ?> .yt_vm_introtext, #yt-vm-slideshowii-<?php echo $module->id; ?> .yt_vm_footertext{
    width: <?php echo $options->width_module;?>px; 
    overflow: hidden;    
}
</style>


<script type="text/javascript">
$jsmart(document).ready(function($) {
        <?php if($options->show_buttons == 2):?>
        $("#yt_slideshowii_module_<?php echo $module->id;?>").hover(
        	function(){$('.buttons-theme-hover_<?php echo $module->id;?>').addClass('<?php echo $button_theme;?>')},
       		function(){$('.buttons-theme-hover_<?php echo $module->id;?>').removeClass('<?php echo $button_theme;?>')}
        );
        <?php endif;?> 
       <?php if(($options->theme == 'theme1') || ($options->theme == 'theme2')){?>
       var arrContent = $('.caption_content_<?php echo $module->id?>');
       var arrHMC = {};
       
       $.each(arrContent,function(key,val){
            arrHMC[key] = $(val).height();
       
            if(key == arrContent.length-1) 
            {
                $('#featured<?php echo $module->id;?>').jslideshowii({
        		fx:     '<?php echo $options->effect;?>',
        		timeout: <?php echo $options->timer_speed;?>,
        		speed:  <?php echo $options->slideshow_speed;?>, 
        		next:   '#next<?php echo $module->id;?>', 
        		prev:   '#prev<?php echo $module->id;?>',
        		pause: <?php echo ($options->play)?1:0;?>,
        		divId: <?php echo $module->id;?>,
        		readmoreImg:'<?php echo $options->read_more_text;?>',
        		theme:'<?php echo $options->theme;?>',
        		linktarget:'<?php echo $options->target;?>',
        		linkcaption:<?php echo $options->link_title;?>,
        		autoPlay:<?php echo $options->auto_play;?>,
        		startingSlide: 0,
                totalItemScroll: <?php echo $count_items;?>,
                startNormalScroll: 0,
                endNormalScroll: <?php echo $options->num_item_per_page - 1;?>,
                num_item_per_page:<?php echo $options->num_item_per_page;?>,
                arrHMC:arrHMC
    	   });
                
            }
       })
       <?php }else{?>
       
       $('#featured<?php echo $module->id;?>').jslideshowii({
                fx:     '<?php echo $options->effect;?>',
                timeout: <?php echo $options->timer_speed;?>,
                speed:  <?php echo $options->slideshow_speed;?>, 
                next:   '#next<?php echo $module->id;?>', 
                prev:   '#prev<?php echo $module->id;?>',
                pause: <?php echo ($options->play)?1:0;?>,
                divId: <?php echo $module->id;?>,
                readmoreImg:'<?php echo $options->read_more_text;?>',
                theme:'<?php echo $options->theme;?>',
                linktarget:'<?php echo $options->target;?>',
                linkcaption:<?php echo $options->link_title;?>,
                autoPlay:<?php echo $options->auto_play;?>,
                startingSlide: 0,
                totalItemScroll: <?php echo $count_items;?>,
                startNormalScroll: 0,
                endNormalScroll: <?php echo $options->num_item_per_page - 1;?>,
                <?php if($options->theme == 'theme5'){?>   
                totalArt: <?php echo $options->limit_items;?>,
                leftScroll:<?php echo ($options->small_thumb_width + 10);?>,
                <?php }?>
                num_item_per_page:<?php echo $options->num_item_per_page;?>
       })
       <?php }?>
	   //$.each(arrHMC, function(key, val){ alert(val)})
       

    });
</script>

<?php if (!empty($items)): ?>
<div id="yt-vm-slideshowii-<?php echo $module->id; ?>">
     <?php if (($options->show_intro == 1) && !empty($options->intro_text)): ?>
         <div class="yt_vm_introtext"><?php echo $options->intro_text; ?></div>
    <?php endif; ?>

    <div class="yt_vm_slideshowii <?php echo 'mod_'. $options->theme;?>">	
	      <?php require JModuleHelper::getLayoutPath($module->module, $options->theme); ?>		
    </div>
    
    <?php if (($options->show_footer == 1) && !empty($options->footer_text)): ?>
        <div class="yt_vm_footertext"><?php echo $options->footer_text; ?></div>
    <?php endif; ?>

</div>
<?php else: ?>
<p>Have no items! Please recheck module config!</p>
<?php endif; ?>