<?php
/**
 * @package Sj Vm Slideshow II
 * @version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );  
  
    $options = $params->toObject();
    $vm_currency_display = &CurrencyDisplay::getInstance();
    //$uniqueid = 'yt_vm_wrapper'.rand().time();
    $config_thumb= array('function' => 'resize_' . $options->item_thumbnail_mode,'background' => $options->item_thumbnail_background);
?>

<div class="yt_slideshowii_module" id="<?php echo $uniqueid;?>" style="width: <?php echo $options->width_module;?>px; height: <?php echo $options->item_thumbnail_height?>px">
  <div class="ytc-content ytc_background_<?php echo $options->themes;?>" style="width: <?php echo $options->width_module;?>px; position:relative; overflow:hidden">
            <div id="content_box_<?php echo $module->id;?>" class="content_box_<?php echo $module->id;?>" style="overflow:hidden; float: left; width:<?php echo ($options->width_module - $options->item_thumbnail_width);?>px; height:<?php echo $options->item_thumbnail_height?>px; position:relative" >    
            <div id="cover_buttons_<?php echo $module->id;?>" style="float:left; position:relative; width:<?php echo ($options->width_module - $options->item_thumbnail_width);?>px;">
                <div class="<?php echo $options->themes;?>">    
                    <div class="right" style="float: none!important;">
                        <div class="center">    
                            <div style="position:relative; z-index:1;" class="buttons_<?php echo $options->themes;?>">                    
                                <ul id="image_button_<?php echo $module->id;?>" style="list-style: none; cursor: pointer;padding-left: 0px; margin-top: 0px; margin-left: 0px; background: white;">
                                                                          <?php foreach($items as $key=>$item) {?>
                                        <li class="<?php echo ($key==0)?"button_img_selected_{$module->id}":"button_img_{$module->id}";?>" value="<?php echo $key;?>" style="overflow: hidden; padding-left: 0px; width:<?php echo ($options->width_module - $options->item_thumbnail_width);?>px;">
                                            <div class="yt_post_item yt_post_item_multi_<?php echo $module->id;?>" style="border-bottom: 1px #c0c0c0 solid; height: <?php echo $normalHeight;?>px; overflow: hidden;">
                                              <div class="yt_list_items" style="height: <?php echo $normalHeight;?>px; overflow: hidden;">   
                                                <?php if($options->show_normal_image == 1){?>
                                                <div class="yt_meta_img_theme4">
                                                    <img src="<?php echo YTools::resize($item['image'], $options->sub_thumbnail_width, $options->sub_thumbnail_height, $config_thumb);//$item['small_image']?>" alt="<?php echo $item['link'];?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>"/>
                                                </div>
                                                <?php }?>
                                                <div class="yt_items_content" style="height: <?php echo $normalHeight;?>px; overflow: hidden;">
													<?php if($options->show_normal_title == 1){?>
													<div class="yt_item_title">
														<a href="<?php echo $item['link']?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>">
															<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>
														</a>
													</div>
													<?php }?>
													<?php if($options->show_price == 0){?>
													<div class="item_price" style="text-align: left; font-weight: bold">                                                 
															<?php
                                                                if($item['price']['discountAmount'] > 0){
                                                                $price_before_discount = $item['price']['salesPrice'] + $item['price']['discountAmount'] ;
                                                                echo "<s>". $vm_currency_display->priceDisplay($price_before_discount)."</s>&nbsp;&nbsp;&nbsp;&nbsp;";
                                                                }?>
                                                                <span class="price_sales" style="color:<?php echo $options->price_color_salesPrice;?>;">
                                                                <?php
                                                                echo $vm_currency_display->priceDisplay($item['price']['salesPrice']);  
                                                                ?>
                                                                </span>                                                  
													</div>
													<?php }?>
													<?php if(($options->show_normal_desc == 1) && !empty($item['desc'])){?>
													<div class="yt_item_desc">
														<?php echo YTools::truncate($item['desc'], $options->limit_desc,"");//$item['normal_desc']?>
													</div>
													<?php }?>
												   </div><!--end yt_items_content-->
                                               </div>
                                            </div> 
                                        
                                        </li>
                                    <?php } ?> 
                                </ul>
                            </div>
                                                    
                        </div>
                    </div>        
                </div>    
            </div>    
        </div>
   
    	<div class="ytc-content-slideshow-theme1" style="width: <?php echo $options->item_thumbnail_width?>px; height:<?php echo $options->item_thumbnail_height?>px; z-index:4; float: left !important; position:relative;overflow:hidden;">
            <div class="buttons-theme-hover_<?php echo $module->id;?> <?php if($options->show_buttons == 1|| $options->show_buttons == 0){echo "buttons-theme4";}?>" style="top:<?php echo ($options->item_thumbnail_height - 50);?>px !important; <?php if($options->show_buttons==0){echo "display:none";}?>">
            	<div style="float:left; position:relative; z-index:2; top:8px; padding-left: 10px;">
            		<div id="prev<?php echo $module->id;?>" class="preview">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
            	</div>
            	<div style="position:relative; z-index:2; float:right; top:8px; padding-right: 10px;">
            		<div id="next<?php echo $module->id;?>" class="next">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
            	</div>
            	<div class="cover_pause" style="top: 8px;">
            		<div id="play_pause_<?php echo $module->id;?>" class="pause">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
            	</div>	
            </div>
            <div id="featured<?php echo $module->id;?>" style="width:<?php echo $options->item_thumbnail_width;?>px !important;height:<?php echo $options->item_thumbnail_height?>px !important;">
                <?php foreach($items as $key=>$item) {?>
    				<div style="text-decoration: none;height:<?php echo $options->item_thumbnail_height?>px !important;position:absolute;overflow:hidden;">
                        <div style="z-index:1;width:<?php echo $options->item_thumbnail_width?>px; height:<?php echo $options->item_thumbnail_height;?>px; ">
                            <?php if($options->show_image == 1):?><?php if($options->link_image == 1):?><a href="<?php echo ($options->link_image)?$item['link']:"#";?>" target = "<?php echo $options->target;?>" style="display:<?php echo ($options->show_image)?"block":"none";?>;" ><?php endif;?><img src="<?php echo YTools::resize($item['image'], $options->item_thumbnail_width, $options->item_thumbnail_height, $config_thumb);?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" alt="<?php echo $item['link'];?>"/><?php if($options->link_image == 1):?></a><?php endif;?><?php endif;?>
    				    </div>
                        <?php if(($options->show_title == 1) || ($options->show_price == 1) || ($options->show_desc ==1) || ($options->show_read_more == 1)){?>
                        <div class="caption_opacity_theme4 caption_opacity_theme3_<?php echo $module->id?>" id="caption_<?php echo $module->id.$key?>" style="<?php if(!$key){echo "bottom:{$options->item_thumbnail_height}px; display: block;";}?> float: left;">
                            
                            <div class="caption_top_bg_theme3">&nbsp;</div>
                            <div class="caption_center_bg_theme3">
                               <?php if($options->show_title == 1){?>
                                    <div class="item_title" style="font-size: 12px; padding-bottom:5px; text-transform: uppercase; text-align: left; padding-left: 8px; font-weight:bold">
                                       <?php if($options->link_title == 1){?>
                                        <a href="<?php echo $item['link']?>" target="<?php echo $options->target;?>" style="color:#FFFFFF;font-weight:bold">
                                            <?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>
                                        </a>
                                       <?php }else{?>
                                            <?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>                                       
                                       <?php }?>
                                    </div>
                                <?php }?>
                                 <?php if($options->show_price == 0){?>
                                    <div class="item_price" style="text-align: left; font-weight: bold; color: #FFFFFF; padding-left: 8px;">
                                            <?php
                                            if($item['price']['discountAmount'] > 0){
                                            $price_before_discount = $item['price']['salesPrice'] + $item['price']['discountAmount'] ;
                                            echo "<s>". $vm_currency_display->priceDisplay($price_before_discount)."</s>&nbsp;&nbsp;&nbsp;&nbsp;";
                                            }?>
                                            <span class="price_sales" style="color:<?php echo $options->price_color_salesPrice;?>;">
                                            <?php
                                            echo $vm_currency_display->priceDisplay($item['price']['salesPrice']);  
                                            ?>
                                            </span>                  
                                    </div>
                                <?php }?>
                                <?php if($options->show_desc == 1){?>
                                    <div style="width:265px; padding: 0px 7px 0px 8px;color:<?php echo $options->desc_color;?>; text-align: left;">
                                        <?php echo YTools::truncate($item['desc'], $options->limit_desc,"");?>
                                    </div>
                                <?php }?>
                                <?php if($options->show_read_more == 1):?>
                                <div style="text-align: right; padding-right: 20px;" class="readmore_sliderii">
                                    <a href="<?php echo $item['link'];?>" target = "<?php echo $options->target;?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" style="color:#FFFFFF; font-weight: bold;">
                                      <?php echo $options->read_more_text?>
                                    </a>
                                </div>
                                <?php endif;?>
                            </div>
                            <div class="caption_bottom_bg_theme3">&nbsp;</div>
                           
                        </div>
                      <?php }?>
                    </div>
    			<?php } ?> 
            </div>			
    	</div>
    
    
    </div>
    
    <div style="display:none">
    <?php foreach($items as $key=>$item) {?>
    	<div id="arrContent_<?php echo $module->id;?>_<?php echo $key;?>"><?php echo YTools::truncate($item['desc'], $options->limit_desc,"");?></div>
    <?php } ?> 
    </div>
   
</div>
