<?php
/**
 * @package Sj Vm Slideshow II
 * @version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );

    $options = $params->toObject();
    //$uniqueid = 'yt_vm_wrapper'.rand().time();
    $vm_currency_display = &CurrencyDisplay::getInstance();
    $config_thumb= array('function' => 'resize_' . $options->item_thumbnail_mode,'background' => $options->item_thumbnail_background);
 ?>

<div class="yt_slideshowii_module" id="<?php echo $uniqueid;?>" style="width: <?php echo $options->width_module;?>px; height: <?php echo $options->item_thumbnail_height?>">
    
    <div class="ytc-content ytc_background_<?php echo $options->themes;?>" style="width: <?php echo $options->width_module;?>px; position:relative; overflow:hidden">
     
    	<div class="ytc-content-slideshow-theme1" style="width: <?php echo $options->item_thumbnail_width?>px; height:<?php echo $options->item_thumbnail_height?>px; z-index:4; float: none !important; position:relative;overflow:hidden;">
            <div id="featured<?php echo $module->id;?>" style="width:<?php echo $options->item_thumbnail_width;?>px !important;height:<?php echo $options->item_thumbnail_height?>px !important;">
                <?php foreach($items as $key=>$item) {?>
    				<div style="text-decoration: none;">
                        <div style="z-index:1;width:<?php echo $options->item_thumbnail_width?>px; height:<?php echo $options->item_thumbnail_height;?>px; ">
                            <?php if($options->show_image == 1):?><?php if($options->link_image == 1):?><a href="<?php echo ($options->link_image)?$item['link']:"#";?>" target = "<?php echo $options->target;?>" style="display:<?php echo ($options->show_image)?"block":"none";?>;" ><?php endif;?><img src="<?php echo YTools::resize($item['image'], $options->item_thumbnail_width, $options->item_thumbnail_height, $config_thumb);?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" alt="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>"/><?php if($options->link_image == 1):?></a><?php endif;?><?php endif;?>
    				    </div>
                        <?php if(($options->show_title == 1) || ($options->show_price == 1) || ($options->show_desc ==1) || ($options->show_read_more == 1)){?>
                        <div class="caption_opacity_theme3 caption_opacity_theme3_<?php echo $module->id?>" id="caption_<?php echo $module->id.$key?>" style="<?php if(!$key){echo "bottom:{$options->item_thumbnail_height}px; display: block;";}?> ">
                            
                            <div class="caption_top_bg_theme3">&nbsp;</div>
                            <div class="caption_center_bg_theme3">
                                <?php if($options->show_title == 1){?>
                                <div style="font-size: 12px; padding-bottom:5px; text-transform: uppercase; text-align: left; padding-left: 8px; font-weight:bold">
                                     <?php if($options->link_title == 1){?>
                                        <a href="<?php echo $item['link']?>" target="<?php echo $options->target;?>" style="color:#FFFFFF;font-weight:bold">
                                            <?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>
                                        </a>
                                       <?php }else{?>
                                            <?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>                                       
                                       <?php }?>
                                </div>
                               <?php }?>
                               <?php if($options->show_price == 0){?> 
                                    <div class="item-price" style="padding-top: 5px; color:#FFFFFF; font-weight: bold; padding-left: 7px; text-align: left">                    
                                        <?php  
                                            if($item['price']['discountAmount'] > 0){
                                            $price_before_discount = $item['price']['salesPrice'] + $item['price']['discountAmount'] ;
                                            echo "<s>". $vm_currency_display->priceDisplay($price_before_discount)."</s>&nbsp;&nbsp;&nbsp;&nbsp;";
                                            }?>
                                            <span class="price_sales" style="color:<?php echo $options->price_color_salesPrice;?>;">
                                            <?php
                                            echo $vm_currency_display->priceDisplay($item['price']['salesPrice']);  
                                            ?>
                                            </span>                                            
                                    
                                    </div> <!--end item-price-->
                                <?php } ?> 
                               <?php if($options->show_desc == 1){?> 
                                <div style="width:265px; padding: 0px 7px 0px 8px;color:<?php echo $options->desc_color;?>; text-align: left;"><?php echo YTools::truncate($item['desc'], $options->limit_desc,"");?></div> <?php }?>
                                
                               
                                <?php if($options->show_read_more == 1):?>
                                <div style="text-align: right; padding-right: 20px;" class="readmore_sliderii"><a href="<?php echo $item['link'];?>" target = "<?php echo $options->target;?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" style="color:#FFFFFF; font-weight: bold;"><?php echo $options->read_more_text?></a></div>
                                <?php endif;?>
                            </div>
                            <div class="caption_bottom_bg_theme3">&nbsp;</div>
                          
                        </div>
                      <?php } ?>    
                    </div>
    			<?php } ?> 
            </div>			
    	</div>
    
        <div class="content-box-normal-theme5" style="width:<?php echo $options->item_thumbnail_width;?>px; height:<?php echo ($options->sub_thumbnail_height + 15)?>px;">
            <div class="content-preview-theme5" style="height:<?php echo ($options->sub_thumbnail_height + 20)?>px;">
                <div id="prev<?php echo $module->id;?>" class="preview_theme5" style="height:<?php echo ($options->sub_thumbnail_height + 20)?>px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
            </div>
            <div id="content_box_theme5<?php echo $module->id;?>" class="content_box_theme5<?php echo $module->id;?> content_box_theme5" style="width:<?php echo ($options->sub_thumbnail_width + 10) * $options->num_item_per_page;?>px;height:<?php echo ($options->sub_thumbnail_height + 15)?>px !important;" >	
                <div id="cover_buttons_<?php echo $module->id;?>" class="cover_item_box" style="width:<?php echo ($options->sub_thumbnail_width + 10) * $options->source_limit; ?>px; display:<?php echo ($options->show_buttons)?'block':'none'?>">
        			<div class="<?php echo $options->themes;?>">		
						<div class="buttons_<?php echo $options->themes;?> content_box_item">					
							<ul id="image_button_<?php echo $module->id;?>" class="content_box_item_ul" style="list-style: none;">
								<?php foreach($items as $key=>$item) {?>
									<li class="<?php echo ($key==0)?"button_img_selected_theme5_{$module->id}":"button_img_theme5_{$module->id}";?>" value="<?php echo $key;?>">
                                        <div class="yt_post_item_theme5 yt_post_item_multi_<?php echo $module->id;?>" style="display:<?php echo $options->show_normal_image?"block":"none";?>;height:<?php echo $options->sub_thumbnail_height;?>px; float: left;">
                                			<div class="yt_meta_img_theme5" style="width:<?php echo $options->sub_thumbnail_width?>px;height:<?php echo $options->sub_thumbnail_height?>px;background:white;">
                                				<img src="<?php echo YTools::resize($item['image'], $options->sub_thumbnail_width, $options->sub_thumbnail_height, $config_thumb);//$item['small_image']?>" alt="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" title="<?php echo YTools::truncate($item['title'], $options->limit_title,"") ;?>" />
                                			</div>
                                        </div> 
                                    
                                    </li>
								<?php } ?> 
							</ul>
						</div>	
        			</div>	
        		</div>	
        	</div>
            <div style="float: right; width: 60px; height:<?php echo ($options->sub_thumbnail_height + 20)?>px; position: relative;">
                <div id="next<?php echo $module->id;?>" class="next_theme5" style="width: auto; height:<?php echo ($options->sub_thumbnail_height + 20)?>px; margin-left: 15px;">&nbsp;</div>
            </div>
        </div>
    
    </div>
    
    <div style="display:none">
    <?php foreach($items as $key=>$item) {?>
    	<div id="arrContent_<?php echo $module->id;?>_<?php echo $key;?>"><?php echo YTools::truncate($item['desc'], $options->limit_desc,"");?></div>
    <?php } ?> 
    </div>
 
</div>
